Perl::Critic::Exception::Configuration::Option::Policy(3)

NAME
Perl::Critic::Exception::Configuration::Option::Policy - A problem with configuration of a policy.

DESCRIPTION
A representation of a problem found with the configuration of a Perl::Critic::Policy, whether from a .perlcriticrc, another profile file, or command line.

This is an abstract class. It should never be instantiated.

INTERFACE SUPPORT
This is considered to be a public class. Any changes to its interface will go through a deprecation cycle.

METHODS

"policy()"
    The short name of the policy that had configuration problems.

AUTHOR
Elliot Shank <perl@galumph.com>

COPYRIGHT
Copyright (c) 2007-2011 Elliot Shank.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The full text of this license can be found in the LICENSE file included with this module.